version: 1
name: Build/boot duration of the Linux kernel
description: Build and QEMU boot duration of the Linux kernel with clang
jobs:
- name: arm64-defconfig
  builds:
    # build 1
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: c9998c9b6b2ab036c48c37f48a24bcaa8b7f9d28d9f9a85fa516cfb04dad3a60, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: c9998c9b6b2ab036c48c37f48a24bcaa8b7f9d28d9f9a85fa516cfb04dad3a60, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: c9998c9b6b2ab036c48c37f48a24bcaa8b7f9d28d9f9a85fa516cfb04dad3a60, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: c9998c9b6b2ab036c48c37f48a24bcaa8b7f9d28d9f9a85fa516cfb04dad3a60, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: c9998c9b6b2ab036c48c37f48a24bcaa8b7f9d28d9f9a85fa516cfb04dad3a60, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: c9998c9b6b2ab036c48c37f48a24bcaa8b7f9d28d9f9a85fa516cfb04dad3a60, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: c9998c9b6b2ab036c48c37f48a24bcaa8b7f9d28d9f9a85fa516cfb04dad3a60, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: c9998c9b6b2ab036c48c37f48a24bcaa8b7f9d28d9f9a85fa516cfb04dad3a60, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: c9998c9b6b2ab036c48c37f48a24bcaa8b7f9d28d9f9a85fa516cfb04dad3a60, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: c9998c9b6b2ab036c48c37f48a24bcaa8b7f9d28d9f9a85fa516cfb04dad3a60, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
  test:
      device: qemu-arm64
